//matillion service parameters
const mtln_url = "http://35.195.103.107/rest/v0/tasks";
const mtln_api_user = "api-user";	// matillion user with API privilege
const mtln_api_pass = "api-user";	// password for api user

// matillion job details
const groupName = 'Sales Demo';
const projectName = 'Kalyan Arangam';
const versionName = 'default';
const environmentName = 'DEV';
const jobName = 'RunETL';

exports.mtln_file_trigger_handler = function mtln_file_trigger_handler(event, callback) {
  const file = event.data;
  // check file exists and is new (file.metageneration === '1')
  if (file.resourceState === 'exists') {
    // metageneration attribute is updated on metadata changes.
    // on create value is 1  - file.metageneration === '1'
	  var request = require('request'),
		username = mtln_api_user,
		password = mtln_api_pass,
		url = mtln_url,
		auth = "Basic " + new Buffer(mtln_api_user + ":" + password).toString("base64");
		
	const vfilename = "file_to_load=" + file.name;
	
	const parameters = { groupName:groupName, projectName:projectName
			, versionName:versionName
			, environmentName:environmentName
			, jobName:jobName
			, variables:vfilename
			};
				
	request.post(
		{
			url : url,
			qs:parameters,
			headers : {"Authorization" : auth}
		},
		function (error, response, body) {
			// Do more stuff with 'body' here
			//console.log('error:', error); // Print the error if one occurred 
			//console.log('statusCode:', response && response.statusCode); // Print the response status code if a response was received 
			//console.log('body:', body); //Prints the response of the request. 
		}
		);
	}

  callback();
  
};
